/**
 * Clase para almacenar una pareja constituida por un nombre y una lista
 * asociada a l.
 * @author Amparo Lpez Gaona
 * @version Octubre 2006
 */
class NombreyLista {
  public String nombre;
  public Lista lista;

  /** Constructor que recibe una cadena
   * @param n - Cadena que ser el nombre de la lista
   */
  public NombreyLista (String n)     {
    nombre = n;
    lista = new Lista();
  }

  /** Constructor que recibe una cadena y una lista
   * @param n - Cadena que ser el nombre de la lista
   * @param l - Lista asociada al nombre dado
   */
  public NombreyLista (String n, Lista l)     {
    nombre=n;
    lista=l;
  }

  /**
   * Mtodo para obtener el nombre del objeto
   * @String nombre asociado al objeto
   */
    public String obtenerNombre() {
	return nombre;
    }

  /**
   * Mtodo para obtener la lista del objeto
   * @Lista -- lista del objeto
   */
    public Lista obtenerLista() {
	return lista;
    }

}
